package com.diegol.profundiza;

import java.io.IOException;
import java.net.URL;
import java.util.ArrayList;

import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;
import org.jsoup.nodes.Element;
import org.jsoup.select.Elements;

import android.util.Log;

public class Parseador {

	int TIEMPO = 10000;

	public String parsearEntrada(String url) {
		Log.e("url", url);
		Document doc = null;
		try {
			doc = Jsoup.parse(new URL(url), 15000);
		} catch (IOException e) {
			System.err.println("Blog caido o direccion incorrecta");
		}
		if (doc != null) {
			String titulo = doc.select("[class = sh2]").first().toString();
			String cuerpo = doc.select("[class = post]").get(1).toString();
			cuerpo = cuerpo.split("<h3")[0];// Aqui quito la lista para
											// compartir
											// que no se muestra bien.
			return titulo + cuerpo;
		} else
			return null;
	}

	public ArrayList<ArrayList<String>> parsear(String url) {

		ArrayList<String> titulos = new ArrayList<String>();
		ArrayList<String> urls = new ArrayList<String>();
		ArrayList<ArrayList<String>> datos = new ArrayList<ArrayList<String>>();
		Document doc = null;
		try {
			doc = Jsoup.connect(url).timeout(TIEMPO).get();
		} catch (IOException ex) {
			System.err.println("Blog caido o direccion incorrecta");
		}
		Elements el = doc.select("[class = h2]");
		Element aux;
		for (int i = 0; i < el.size(); i++) {
			titulos.add(el.get(i).text());
			aux = el.get(i).select("a").first();
			urls.add(aux.attr("href"));
		}
		if (el.size() == 0) {
			el = doc.select("[class = entry-title]");
			for (int i = 0; i < el.size(); i++) {
				titulos.add(el.get(i).text());
				aux = el.get(i).select("a").first();
				urls.add(aux.attr("href"));
			}
		}
		Log.e("tam", "" + el.size());
		datos.add(titulos);
		datos.add(urls);
		return datos;
	}

}
