package com.diegol.profundiza;

import java.util.concurrent.ExecutionException;

import android.app.Activity;
import android.os.AsyncTask;
import android.os.Bundle;
import android.webkit.WebView;
import android.widget.Toast;

public class WebViewActivity extends Activity {
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.webview);
		WebView wv = (WebView) findViewById(R.id.webView1);
		Bundle b = this.getIntent().getExtras();
		String contenido = "";
		try {
			contenido = new ParseaEntrada().execute(b.getString("url"), null,
					null).get();
		} catch (InterruptedException e) {
			e.printStackTrace();
		} catch (ExecutionException e) {
			e.printStackTrace();
		}
		if (contenido != null)
			wv.loadDataWithBaseURL("", contenido, "text/html", "utf-8", "");
		else
			Toast.makeText(getApplicationContext(), "Error al leer la web",
					Toast.LENGTH_LONG).show();
	}

	private class ParseaEntrada extends AsyncTask<String, Void, String> {

		@Override
		protected String doInBackground(String... params) {
			return new Parseador().parsearEntrada(params[0]);
		}
	}
}
